Export workspace data
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"format": "json",
"include_products": true,
"include_members": true,
"include_audit_logs": false
}
'{
"job_id": "export_abc123def456",
"status": "queued",
"created_at": "2024-02-15T10:30:00Z"
}Export Workspace Data
Initiate a workspace data export. Returns a job ID for asynchronous processing
POST
/
api
/
workspace
/
{workspaceId}
/
export
Export workspace data
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"format": "json",
"include_products": true,
"include_members": true,
"include_audit_logs": false
}
'{
"job_id": "export_abc123def456",
"status": "queued",
"created_at": "2024-02-15T10:30:00Z"
}Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
The workspace ID
Pattern:
^ws_[a-z0-9]+$Body
application/json
Last modified on February 16, 2026
⌘I